From 0a477edb2528db8b0008e9453a1de084f926e162 Mon Sep 17 00:00:00 2001
From: Fujii Masao <fujii@postgresql.org>
Date: Wed, 5 Mar 2025 09:23:20 +0900
Subject: [PATCH v1] ecpg: Fix compiler warning in ecpg build with Meson.

Previously, Meson could produce a warning about the use of 'deps' in ecpg:

    WARNING: Project targets '>=0.54' but uses a feature introduced in '0.60.0': list.<plus>. The right-hand operand was not a list.

The right-hand operand of 'deps' should be a list. This commit fixes
the warning by wrapping it with square brackets.

This issue was introduced in commit 28f04984f0c.

Author: Jacob Champion <jacob.champion@enterprisedb.com>
Discussion: https://postgr.es/m/CAOYmi+ks8wO06Ymxduw2h_eQJ_D4_jHGeyMK0P=p5Q3psnEdMA@mail.gmail.com
---
 src/interfaces/ecpg/preproc/meson.build | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

diff --git a/src/interfaces/ecpg/preproc/meson.build b/src/interfaces/ecpg/preproc/meson.build
index 01f2ac671ec..c9f4035053d 100644
--- a/src/interfaces/ecpg/preproc/meson.build
+++ b/src/interfaces/ecpg/preproc/meson.build
@@ -96,6 +96,6 @@ tests += {
       't/001_ecpg_err_warn_msg.pl',
       't/002_ecpg_err_warn_msg_informix.pl',
     ],
-    'deps': ecpg_exe,
+    'deps': [ecpg_exe],
   },
 }
\ No newline at end of file
-- 
2.48.1

